Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.0.2

Description

I've used Redmines file tab to store VM images. I'v encountered long loading time (firefox tends to cancel the connection, resulting in

failed upload, chrome is ok) and massive CPU utilization of the ruby process after the file is uploaded.

Anyway after uploading the image size ca 3.1GB i've tried to download it. Besides getting no indication, apache starts to hog all

available memory:

Tasks: 323 total,   2 running, 321 sleeping,   0 stopped,   0 zombie

Cpu(s):  0.5%us,  1.4%sy,  0.0%ni, 59.4%id, 38.3%wa,  0.2%hi,  0.1%si,  0.0%st

Mem:   8194076k total,  8148524k used,    45552k free,     1776k buffers

Swap: 10432504k total,  7507280k used,  2925224k free,    39796k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND

32313 www-data  20   0  247m 110m  516 D    6  1.4   1:41.08 ruby1.8

32273 www-data  20   0 20.6g 7.0g  464 S    4 90.0   0:48.87 apache2

  116 root      20   0     0    0    0 D    2  0.0   2:06.45 kswapd0

  391 root      20   0     0    0    0 S    1  0.0   2:06.29 kdmflush

 1154 root      20   0  363m  33m 1668 D    1  0.4  48:24.54 Xorg

    7 root      20   0     0    0    0 S    0  0.0   0:04.19 ksoftirqd/1

   10 root      20   0     0    0    0 S    0  0.0   0:46.10 ksoftirqd/2

   73 root      20   0     0    0    0 R    0  0.0   0:32.09 kblockd/2

  884 root      20   0     0    0    0 S    0  0.0   3:24.54 flush-252:0

 1097 jenkins   20   0 2648m  94m 1624 S    0  1.2 251:13.90 java

 I haven't managed to be patient enough (>10min) to wait for the "save file to" dialog, but never the less i think this is a problem.

Anything I can do about it?

Here is my redmine information foo:

Redmine 2.0.2.stable

Default administrator account changed    

Attachments directory writable    

Plugin assets directory writable    

RMagick available (optional)    

Environment:

  Redmine version                          2.0.2.stable

  Ruby version                             1.8.7 (x86_64-linux)

  Rails version                            3.2.5

  Environment                              production

  Database adapter                         MySQL

Redmine plugins:

  redmine_mylyn_connector                  2.8.1.stable

Related issues:

Is duplicate of Redmine - Feature #1410: When downloading a file from the rep... New 2008-06-09

History

#1 - 2012-06-27 18:35 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

Already reported in #1410.
